<?php
/**
 * Finance Accounting: Customizer
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

function finance_accounting_customize_register( $wp_customize ) {

	$wp_customize->add_panel( 'finance_accounting_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'finance-accounting' ),
	    'description' => __( 'Description of what this panel does.', 'finance-accounting' ),
	) );

	// font array
	$font_array = array(
        '' => 'No Fonts',
        'Abril Fatface' => 'Abril Fatface',
        'Acme' => 'Acme',
        'Anton' => 'Anton',
        'Architects Daughter' => 'Architects Daughter',
        'Arimo' => 'Arimo',
        'Arsenal' => 'Arsenal', 
        'Arvo' => 'Arvo',
        'Alegreya' => 'Alegreya',
        'Alfa Slab One' => 'Alfa Slab One',
        'Averia Serif Libre' => 'Averia Serif Libre',
        'Bangers' => 'Bangers', 
        'Boogaloo' => 'Boogaloo',
        'Bad Script' => 'Bad Script',
        'Bitter' => 'Bitter',
        'Bree Serif' => 'Bree Serif',
        'BenchNine' => 'BenchNine', 
        'Cabin' => 'Cabin', 
        'Cardo' => 'Cardo',
        'Courgette' => 'Courgette',
        'Cherry Swash' => 'Cherry Swash',
        'Cormorant Garamond' => 'Cormorant Garamond',
        'Crimson Text' => 'Crimson Text',
        'Cuprum' => 'Cuprum', 
        'Cookie' => 'Cookie', 
        'Chewy' => 'Chewy', 
        'Days One' => 'Days One', 
        'Dosis' => 'Dosis',
        'Droid Sans' => 'Droid Sans',
        'Economica' => 'Economica',
        'Fredoka One' => 'Fredoka One',
        'Fjalla One' => 'Fjalla One',
        'Francois One' => 'Francois One',
        'Frank Ruhl Libre' => 'Frank Ruhl Libre',
        'Gloria Hallelujah' => 'Gloria Hallelujah',
        'Great Vibes' => 'Great Vibes',
        'Handlee' => 'Handlee', 
        'Hammersmith One' => 'Hammersmith One',
        'Inconsolata' => 'Inconsolata', 
        'Indie Flower' => 'Indie Flower', 
        'IM Fell English SC' => 'IM Fell English SC', 
        'Julius Sans One' => 'Julius Sans One',
        'Josefin Slab' => 'Josefin Slab', 
        'Josefin Sans' => 'Josefin Sans', 
        'Kanit' => 'Kanit', 
        'Lobster' => 'Lobster', 
        'Lato' => 'Lato',
        'Lora' => 'Lora', 
        'Libre Baskerville' =>'Libre Baskerville',
        'Lobster Two' => 'Lobster Two',
        'Merriweather' =>'Merriweather', 
        'Monda' => 'Monda',
        'Montserrat' => 'Montserrat',
        'Muli' => 'Muli', 
        'Marck Script' => 'Marck Script',
        'Noto Serif' => 'Noto Serif',
        'Open Sans' => 'Open Sans', 
        'Overpass' => 'Overpass',
        'Overpass Mono' => 'Overpass Mono',
        'Oxygen' => 'Oxygen', 
        'Orbitron' => 'Orbitron', 
        'Patua One' => 'Patua One', 
        'Pacifico' => 'Pacifico',
        'Padauk' => 'Padauk', 
        'Playball' => 'Playball',
        'Playfair Display' => 'Playfair Display', 
        'PT Sans' => 'PT Sans',
        'Philosopher' => 'Philosopher',
        'Permanent Marker' => 'Permanent Marker',
        'Poiret One' => 'Poiret One', 
        'Quicksand' => 'Quicksand', 
        'Quattrocento Sans' => 'Quattrocento Sans', 
        'Raleway' => 'Raleway', 
        'Rubik' => 'Rubik', 
        'Rokkitt' => 'Rokkitt', 
        'Russo One' => 'Russo One', 
        'Righteous' => 'Righteous', 
        'Slabo' => 'Slabo', 
        'Source Sans Pro' => 'Source Sans Pro', 
        'Shadows Into Light Two' =>'Shadows Into Light Two', 
        'Shadows Into Light' => 'Shadows Into Light', 
        'Sacramento' => 'Sacramento', 
        'Shrikhand' => 'Shrikhand', 
        'Tangerine' => 'Tangerine',
        'Ubuntu' => 'Ubuntu', 
        'VT323' => 'VT323', 
        'Varela Round' => 'Varela Round', 
        'Vampiro One' => 'Vampiro One',
        'Vollkorn' => 'Vollkorn',
        'Volkhov' => 'Volkhov', 
        'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    );
    
	//Typography
	$wp_customize->add_section( 'finance_accounting_typography', array(
    	'title'      => __( 'Color / Fonts Settings', 'finance-accounting' ),
		'panel' => 'finance_accounting_panel_id'
	) );
	
	// This is Paragraph Color picker setting
	$wp_customize->add_setting( 'finance_accounting_paragraph_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_paragraph_color', array(
		'label' => __('Paragraph Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_paragraph_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_paragraph_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( 'Paragraph Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting('finance_accounting_paragraph_font_size',array(
		'default'	=> '12px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_paragraph_font_size',array(
		'label'	=> __('Paragraph Font Size','finance-accounting'),
		'section'	=> 'finance_accounting_typography',
		'setting'	=> 'finance_accounting_paragraph_font_size',
		'type'	=> 'text'
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'finance_accounting_atag_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_atag_color', array(
		'label' => __('"a" Tag Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_atag_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_atag_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( '"a" Tag Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'finance_accounting_li_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_li_color', array(
		'label' => __('"li" Tag Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_li_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_li_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( '"li" Tag Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting( 'finance_accounting_h1_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_h1_color', array(
		'label' => __('H1 Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_h1_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_h1_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( 'H1 Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('finance_accounting_h1_font_size',array(
		'default'	=> '50px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_h1_font_size',array(
		'label'	=> __('H1 Font Size','finance-accounting'),
		'section'	=> 'finance_accounting_typography',
		'setting'	=> 'finance_accounting_h1_font_size',
		'type'	=> 'text'
	));

	// This is H2 Color picker setting
	$wp_customize->add_setting( 'finance_accounting_h2_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_h2_color', array(
		'label' => __('h2 Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_h2_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_h2_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( 'h2 Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('finance_accounting_h2_font_size',array(
		'default'	=> '45px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_h2_font_size',array(
		'label'	=> __('h2 Font Size','finance-accounting'),
		'section'	=> 'finance_accounting_typography',
		'setting'	=> 'finance_accounting_h2_font_size',
		'type'	=> 'text'
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting( 'finance_accounting_h3_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_h3_color', array(
		'label' => __('h3 Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_h3_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_h3_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( 'h3 Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('finance_accounting_h3_font_size',array(
		'default'	=> '36px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_h3_font_size',array(
		'label'	=> __('h3 Font Size','finance-accounting'),
		'section'	=> 'finance_accounting_typography',
		'setting'	=> 'finance_accounting_h3_font_size',
		'type'	=> 'text'
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting( 'finance_accounting_h4_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_h4_color', array(
		'label' => __('h4 Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_h4_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_h4_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( 'h4 Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('finance_accounting_h4_font_size',array(
		'default'	=> '30px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_h4_font_size',array(
		'label'	=> __('h4 Font Size','finance-accounting'),
		'section'	=> 'finance_accounting_typography',
		'setting'	=> 'finance_accounting_h4_font_size',
		'type'	=> 'text'
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting( 'finance_accounting_h5_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_h5_color', array(
		'label' => __('h5 Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_h5_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_h5_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( 'h5 Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('finance_accounting_h5_font_size',array(
		'default'	=> '25px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_h5_font_size',array(
		'label'	=> __('h5 Font Size','finance-accounting'),
		'section'	=> 'finance_accounting_typography',
		'setting'	=> 'finance_accounting_h5_font_size',
		'type'	=> 'text'
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting( 'finance_accounting_h6_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_h6_color', array(
		'label' => __('h6 Color', 'finance-accounting'),
		'section' => 'finance_accounting_typography',
		'settings' => 'finance_accounting_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('finance_accounting_h6_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control(
	    'finance_accounting_h6_font_family', array(
	    'section'  => 'finance_accounting_typography',
	    'label'    => __( 'h6 Fonts','finance-accounting'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('finance_accounting_h6_font_size',array(
		'default'	=> '18px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_h6_font_size',array(
		'label'	=> __('h6 Font Size','finance-accounting'),
		'section'	=> 'finance_accounting_typography',
		'setting'	=> 'finance_accounting_h6_font_size',
		'type'	=> 'text'
	));

	// Add the Theme Color Option typography section.
	$wp_customize->add_section( 'finance_accounting_theme_color_option', array( 
		'panel' => 'finance_accounting_panel_id', 
		'title' => esc_html__( 'Theme Color Option', 'finance-accounting' ) 
	));

  	$wp_customize->add_setting( 'finance_accounting_first_theme_color', array(
	    'default' => '#53507b',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_first_theme_color', array(
  		'label' => __( 'First Color Option', 'finance-accounting' ),
	    'description' => __('One can change complete theme color on just one click.', 'finance-accounting'),
	    'section' => 'finance_accounting_theme_color_option',
	    'settings' => 'finance_accounting_first_theme_color',
  	)));
  	$wp_customize->add_setting( 'finance_accounting_second_color', array(
	    'default' => '#4685e7',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'finance_accounting_second_color', array(
  		'label' => __( 'Second Color Option', 'finance-accounting' ),
	    'description' => __('One can change complete theme color on just one click.', 'finance-accounting'),
	    'section' => 'finance_accounting_theme_color_option',
	    'settings' => 'finance_accounting_second_color',
  	)));

	//Layout Settings
	$wp_customize->add_section( 'finance_accounting_width_layout', array(
    	'title'      => __( 'Layout Settings', 'finance-accounting' ),
		'panel' => 'finance_accounting_panel_id'
	) );

	$wp_customize->add_setting('finance_accounting_theme_options',array(
    'default' => __('Default','finance-accounting'),
        'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control('finance_accounting_theme_options',array(
        'type' => 'select',
        'label' => __('Container Box','finance-accounting'),
        'description' => __('Here you can change the Width layout. ','finance-accounting'),
        'section' => 'finance_accounting_width_layout',
        'choices' => array(
            'Default' => __('Default','finance-accounting'),
            'Wide Layout' => __('Wide Layout','finance-accounting'),
            'Box Layout' => __('Box Layout','finance-accounting'),
        ),
	) );

	$wp_customize->add_section( 'finance_accounting_general_option', array(
    	'title'      => __( 'Sidebar Settings', 'finance-accounting' ),
		'panel' => 'finance_accounting_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('finance_accounting_layout_settings',array(
        'default' => __('Right Sidebar','finance-accounting'),
        'sanitize_callback' => 'finance_accounting_sanitize_choices'	        
	));
	$wp_customize->add_control('finance_accounting_layout_settings',array(
        'type' => 'radio',
        'label'     => __('Theme Sidebar Layouts', 'finance-accounting'),
        'description'   => __('This option work for blog page, blog single page, archive page and search page.', 'finance-accounting'),
        'section' => 'finance_accounting_general_option',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','finance-accounting'),
            'Right Sidebar' => __('Right Sidebar','finance-accounting'),
            'One Column' => __('One Column','finance-accounting'),
            'Three Columns' => __('Three Columns','finance-accounting'),
            'Four Columns' => __('Four Columns','finance-accounting'),
            'Grid Layout' => __('Grid Layout','finance-accounting')
        ),
	));

	//Topbar section
	$wp_customize->add_section('finance_accounting_topbar',array(
		'title'	=> __('Topbar','finance-accounting'),
		'label' => __('Contact Details', 'finance-accounting'),
		'description' => __('Here you can add email address, phone number and timings.','finance-accounting'),
		'priority'	=> null,
		'panel' => 'finance_accounting_panel_id',
	));

	$wp_customize->add_setting('finance_accounting_time',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('finance_accounting_time',array(
		'label'	=> __('Timing','finance-accounting'),
		'section'	=> 'finance_accounting_topbar',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('finance_accounting_time1',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_time1',array(
		'label'	=> __('Add Time','finance-accounting'),
		'section'	=> 'finance_accounting_topbar',
		'setting'	=> 'finance_accounting_time',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('finance_accounting_mail',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('finance_accounting_mail',array(
		'label'	=> __('Email Text','finance-accounting'),
		'section'	=> 'finance_accounting_topbar',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('finance_accounting_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_email',array(
		'label'	=> __('Add Email','finance-accounting'),
		'section'	=> 'finance_accounting_topbar',
		'setting'	=> 'finance_accounting_email',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('finance_accounting_call',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('finance_accounting_call',array(
		'label'	=> __('Phone Text','finance-accounting'),
		'section'	=> 'finance_accounting_topbar',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('finance_accounting_call1',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('finance_accounting_call1',array(
		'label'	=> __('Add Phone Number','finance-accounting'),
		'section'	=> 'finance_accounting_topbar',
		'setting'	=> 'finance_accounting_call',
		'type'		=> 'text'
	));

	//Social Icons
	$wp_customize->add_section('finance_accounting_social_link',array(
		'title'	=> __('Social Media','finance-accounting'),
		'label'	=> __('Social Links','finance-accounting'),
		'description'	=> __('Add Social Media Url here','finance-accounting'),
		'priority'	=> null,
		'panel' => 'finance_accounting_panel_id',
	));

	$wp_customize->add_setting('finance_accounting_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('finance_accounting_facebook_url',array(
		'label'	=> __('Add Facebook link','finance-accounting'),
		'section'	=> 'finance_accounting_social_link',
		'setting'	=> 'finance_accounting_facebook_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('finance_accounting_google_plus_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('finance_accounting_google_plus_url',array(
		'label'	=> __('Add Google Plus link','finance-accounting'),
		'section'	=> 'finance_accounting_social_link',
		'setting'	=> 'finance_accounting_google_plus_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('finance_accounting_vk_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('finance_accounting_vk_url',array(
		'label'	=> __('Add vk link','finance-accounting'),
		'section'	=> 'finance_accounting_social_link',
		'setting'	=> 'finance_accounting_vk_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('finance_accounting_youtube_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('finance_accounting_youtube_url',array(
		'label'	=> __('Add Youtube link','finance-accounting'),
		'section'	=> 'finance_accounting_social_link',
		'setting'	=> 'finance_accounting_youtube_url',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('finance_accounting_linkdin_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	) );	
	$wp_customize->add_control('finance_accounting_linkdin_url',array(
		'label'	=> __('Add Linkdin link','finance-accounting'),
		'section'	=> 'finance_accounting_social_link',
		'setting'	=> 'finance_accounting_linkdin_url',
		'type'	=> 'url'
	) );

	//home page slider
	$wp_customize->add_section( 'finance_accounting_slider' , array(
    	'title'      => __( 'Slider Settings', 'finance-accounting' ),
    	'description'	=> __('Here you can select pages which you have created for slider.','finance-accounting'),
		'priority'   => null,
		'panel' => 'finance_accounting_panel_id'
	) );

	$wp_customize->add_setting('finance_accounting_slider_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('finance_accounting_slider_hide',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide slider','finance-accounting'),
       'section' => 'finance_accounting_slider',
    ));

	for ( $count = 1; $count <= 4; $count++ ) {

		// Add color scheme setting and control.
		$wp_customize->add_setting( 'finance_accounting_slide_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'finance_accounting_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'finance_accounting_slide_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'finance-accounting' ),
			'section'  => 'finance_accounting_slider',
			'type'     => 'dropdown-pages'
		) );

	}

	//content layout
    $wp_customize->add_setting('finance_accounting_slider_content_option',array(
    'default' => __('Left','finance-accounting'),
        'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control('finance_accounting_slider_content_option',array(
        'type' => 'select',
        'label' => __('Slider Content Layout','finance-accounting'),
        'section' => 'finance_accounting_slider',
        'choices' => array(
            'Center' => __('Center','finance-accounting'),
            'Left' => __('Left','finance-accounting'),
            'Right' => __('Right','finance-accounting'),
        ),
	) );

    //Slider excerpt
	$wp_customize->add_setting( 'finance_accounting_slider_excerpt_number', array(
		'default'              => 20,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'finance_accounting_slider_excerpt_number', array(
		'label'       => esc_html__( 'Slider Excerpt length','finance-accounting' ),
		'section'     => 'finance_accounting_slider',
		'type'        => 'range',
		'settings'    => 'finance_accounting_slider_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//Opacity
	$wp_customize->add_setting('finance_accounting_slider_opacity_color',array(
      'default'              => 0.7,
      'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control( 'finance_accounting_slider_opacity_color', array(
	'label'       => esc_html__( 'Slider Image Opacity','finance-accounting' ),
	'section'     => 'finance_accounting_slider',
	'type'        => 'select',
	'settings'    => 'finance_accounting_slider_opacity_color',
	'choices' => array(
		'0' =>  esc_attr('0','finance-accounting'),
		'0.1' =>  esc_attr('0.1','finance-accounting'),
		'0.2' =>  esc_attr('0.2','finance-accounting'),
		'0.3' =>  esc_attr('0.3','finance-accounting'),
		'0.4' =>  esc_attr('0.4','finance-accounting'),
		'0.5' =>  esc_attr('0.5','finance-accounting'),
		'0.6' =>  esc_attr('0.6','finance-accounting'),
		'0.7' =>  esc_attr('0.7','finance-accounting'),
		'0.8' =>  esc_attr('0.8','finance-accounting'),
		'0.9' =>  esc_attr('0.9','finance-accounting')
	),
	));

	//About
	$wp_customize->add_section('finance_accounting_services',array(
		'title'	=> __('Service','finance-accounting'),
		'label'     => __('Our Services Section', 'finance-accounting'),
    	'description'	=> __('Here you can select category which you have created for services section.','finance-accounting'),
		'panel' => 'finance_accounting_panel_id',
	));

	$wp_customize->add_setting('finance_accounting_section_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_section_title',array(
		'label'	=> __('Section title','finance-accounting'),
		'section'	=> 'finance_accounting_services',
		'setting'	=> 'finance_accounting_section_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('finance_accounting_section_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_section_text',array(
		'label'	=> __('Add some text','finance-accounting'),
		'section'	=> 'finance_accounting_services',
		'setting'	=> 'finance_accounting_section_text',
		'type'		=> 'text'
	));

	//Category
	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
	if($i==0){
	$default = $category->slug;
	$i++;
	}
	$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('finance_accounting_blogcategory_setting',array(
		'default'	=> 'select',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('finance_accounting_blogcategory_setting',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => __('Select Category to display Latest Post','finance-accounting'),
		'section' => 'finance_accounting_services',
	));

	//Blog Post
	$wp_customize->add_section('finance_accounting_blog_post',array(
		'title'	=> __('Post Settings','finance-accounting'),
		'panel' => 'finance_accounting_panel_id',
	));	

	$wp_customize->add_setting('finance_accounting_date_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('finance_accounting_date_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Date','finance-accounting'),
       'section' => 'finance_accounting_blog_post'
    ));

    $wp_customize->add_setting('finance_accounting_comment_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('finance_accounting_comment_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Comments','finance-accounting'),
       'section' => 'finance_accounting_blog_post'
    ));

    $wp_customize->add_setting('finance_accounting_author_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('finance_accounting_author_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Author','finance-accounting'),
       'section' => 'finance_accounting_blog_post'
    ));

    $wp_customize->add_setting('finance_accounting_tags_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('finance_accounting_tags_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Tags','finance-accounting'),
       'section' => 'finance_accounting_blog_post'
    ));

    $wp_customize->add_setting( 'finance_accounting_excerpt_number', array(
		'default'              => 20,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'finance_accounting_excerpt_number', array(
		'label'       => esc_html__( 'Excerpt length','finance-accounting' ),
		'section'     => 'finance_accounting_blog_post',
		'type'        => 'number',
		'settings'    => 'finance_accounting_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	$wp_customize->add_setting('finance_accounting_button_text',array(
		'default'=> 'Continue Reading....',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_button_text',array(
		'label'	=> __('Add Button Text','finance-accounting'),
		'section'=> 'finance_accounting_blog_post',
		'type'=> 'text'
	));
	
	//Footer
	$wp_customize->add_section( 'finance_accounting_footer' , array(
    	'title' => __( 'Footer Section', 'finance-accounting' ),
		'priority'   => null,
		'panel' => 'finance_accounting_panel_id'
	) );

	$wp_customize->add_setting('finance_accounting_footer_widget',array(
        'default'           => '4',
        'sanitize_callback' => 'finance_accounting_sanitize_choices',
    ));
    $wp_customize->add_control('finance_accounting_footer_widget',array(
        'type'        => 'radio',
        'label'       => __('No. of Footer widget area', 'finance-accounting'),
        'section'     => 'finance_accounting_footer',
        'description' => __('Select the number of footer widget areas and after that, go to Appearance > Widgets and add your widgets in the footer.', 'finance-accounting'),
        'choices' => array(
            '1'     => __('One', 'finance-accounting'),
            '2'     => __('Two', 'finance-accounting'),
            '3'     => __('Three', 'finance-accounting'),
            '4'     => __('Four', 'finance-accounting')
        ),
    ));

	$wp_customize->add_setting('finance_accounting_hide_show_scroll',array(
        'default' => 'true',
        'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_hide_show_scroll',array(
     	'type' => 'checkbox',
      	'label' => __('Show / Hide Scroll To Top','finance-accounting'),
      	'section' => 'finance_accounting_footer',
	));

	$wp_customize->add_setting('finance_accounting_footer_options',array(
        'default' => __('Right align','finance-accounting'),
        'sanitize_callback' => 'finance_accounting_sanitize_choices'
	));
	$wp_customize->add_control('finance_accounting_footer_options',array(
        'type' => 'select',
        'label' => __('Scroll To Top','finance-accounting'),
        'description' => __('Here you can change the Footer layout. ','finance-accounting'),
        'section' => 'finance_accounting_footer',
        'choices' => array(
            'Left align' => __('Left align','finance-accounting'),
            'Right align' => __('Right align','finance-accounting'),
            'Center align' => __('Center align','finance-accounting'),
        ),
	) );

	$wp_customize->add_setting('finance_accounting_footer_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('finance_accounting_footer_text',array(
		'label'	=> __('Add Copyright Text','finance-accounting'),
    	'description'	=> __('Here you can add copyright text.','finance-accounting'),
		'section'	=> 'finance_accounting_footer',
		'setting'	=> 'finance_accounting_footer_text',
		'type'		=> 'text'
	));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'finance_accounting_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'finance_accounting_customize_partial_blogdescription',
	) );
	
}
add_action( 'customize_register', 'finance_accounting_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @since Finance Accounting 1.0
 * @see finance-accounting_customize_register()
 *
 * @return void
 */
function finance_accounting_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @since Finance Accounting 1.0
 * @see finance-accounting_customize_register()
 *
 * @return void
 */
function finance_accounting_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Return whether we're on a view that supports a one or two column layout.
 */
function finance_accounting_is_view_with_layout_option() {
	// This option is available on all pages. It's also available on archives when there isn't a sidebar.
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'footer-1' ) ) );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Finance_Accounting_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Finance_Accounting_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Finance_Accounting_Customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'priority'   => 9,
					'title'    => esc_html__( 'Finance Accounting Pro', 'finance-accounting' ),
					'pro_text' => esc_html__( 'Go Pro', 'finance-accounting' ),
					'pro_url'  => esc_url('https://www.themeseye.com/wordpress/accounting-finance-wordpress-theme/'),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'finance-accounting-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'finance-accounting-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Finance_Accounting_Customize::get_instance();